<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Scilab ( http://www.scilab.org/ ) - This file is part of sisotool module
 * Copyright (C) 2016 - INRIA - Serge Steer
 *
 * This file is hereby licensed under the terms of the GNU GPL v2.0,
 * pursuant to article 5.3.4 of the CeCILL v.2.1.
 * For more information, see the COPYING file which you should have received
 * along with this program.
-->
<refentry xml:id="sisotoolFinalValue" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:scilab="http://www.scilab.org"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:db="http://docbook.org/ns/docbook">
  <refnamediv>
    <refname>sisotoolFinalValue</refname>

    <refpurpose>returns steady state value for stable systems step and impulse
    responses.</refpurpose>
  </refnamediv>

  <refsection>
    <title>Synopsis</title>

    <synopsis>[v,isStable] = sisotoolFinalValue(H,inputType) </synopsis>
  </refsection>

  <refsection>
    <title>Arguments</title>

    <variablelist>
      <varlistentry>
        <term>H</term>

        <listitem>
          <para>A linear dynamical system.</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>inputType</term>

        <listitem>
          <para>A character string with possible values: "step" or
          "impulse".</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>v</term>

        <listitem>
          <para>The steady state value if any or [].</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>isStable</term>

        <listitem>
          <para>a boolean, true if H is a strictly stable system.</para>
        </listitem>
      </varlistentry>
    </variablelist>
  </refsection>

  <refsection>
    <title>Description</title>

    <para>Returns steady state value for stable systems step and impulse
    responses.</para>
  </refsection>
</refentry>
